#
# Conditional build:
%bcond_without	vala		# do not build Vala API
#
Summary:	GObject contact aggregation library
Name:		folks
Version:	0.6.9
Release:	3
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/folks/0.6/%{name}-%{version}.tar.xz
# Source0-md5:	49b739a9359a9b030844a2719cf5bb45
URL:		http://telepathy.freedesktop.org/wiki/Folks
BuildRequires:	GConf2-devel >= 2.31.0
BuildRequires:	autoconf >= 2.65
BuildRequires:	automake >= 1:1.11
BuildRequires:	dbus-glib-devel
BuildRequires:	evolution-data-server-devel >= 3.2.0
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.24.0
BuildRequires:	gobject-introspection-devel >= 1.30.0
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libgee-devel < 0.7
BuildRequires:	libsocialweb-devel >= 0.25.20
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	pkgconfig >= 1:0.21
BuildRequires:	readline-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	telepathy-glib-devel >= 0.16.4
BuildRequires:	tracker-devel >= 0.14.0
%if %{with vala}
BuildRequires:	vala >= 2:0.16.0
BuildRequires:	vala-evolution-data-server >= 3.2.0
BuildRequires:	vala-libgee < 0.7
BuildRequires:	vala-libsocialweb >= 0.25.20
BuildRequires:	vala-telepathy-glib >= 0.16.4
%endif
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libfolks is a library that aggregates people from multiple sources
(e.g. Telepathy connection managers and eventually evolution data
server, Facebook, etc.) to create meta-contacts.

%package devel
Summary:	Development files for folks libraries
Summary(pl.UTF-8):	Pliki programistyczne bibliotek folks
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	evolution-data-server-devel >= 3.2.0
Requires:	glib2-devel >= 1:2.24.0
Requires:	libgee-devel < 0.7
Requires:	libsocialweb-devel >= 0.25.20
Requires:	telepathy-glib-devel >= 0.16.4
Requires:	tracker-devel >= 0.14.0

%description devel
Development files for folks libraries.

%description devel -l pl.UTF-8
Pliki programistyczne bibliotek folks.

%package -n vala-folks
Summary:	folks API for Vala language
Summary(pl.UTF-8):	API folks dla języka Vala
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description -n vala-folks
folks API for Vala language.

%description -n vala-folks -l pl.UTF-8
API folks dla języka Vala.


%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-static \
	%{__enable_disable vala vala}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/folks/*/backends/*/*.la \
	$RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/folks-import
%attr(755,root,root) %{_bindir}/folks-inspect
%attr(755,root,root) %{_libdir}/libfolks.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfolks.so.25
%attr(755,root,root) %{_libdir}/libfolks-eds.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfolks-eds.so.25
%attr(755,root,root) %{_libdir}/libfolks-libsocialweb.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfolks-libsocialweb.so.25
%attr(755,root,root) %{_libdir}/libfolks-telepathy.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfolks-telepathy.so.25
%dir %{_libdir}/folks
%dir %{_libdir}/folks/32
%dir %{_libdir}/folks/32/backends
%dir %{_libdir}/folks/32/backends/eds
%attr(755,root,root) %{_libdir}/folks/32/backends/eds/eds.so
%dir %{_libdir}/folks/32/backends/key-file
%attr(755,root,root) %{_libdir}/folks/32/backends/key-file/key-file.so
%dir %{_libdir}/folks/32/backends/libsocialweb
%attr(755,root,root) %{_libdir}/folks/32/backends/libsocialweb/libsocialweb.so
%dir %{_libdir}/folks/32/backends/telepathy
%attr(755,root,root) %{_libdir}/folks/32/backends/telepathy/telepathy.so
%{_libdir}/girepository-1.0/*.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfolks.so
%attr(755,root,root) %{_libdir}/libfolks-eds.so
%attr(755,root,root) %{_libdir}/libfolks-libsocialweb.so
%attr(755,root,root) %{_libdir}/libfolks-telepathy.so
%{_datadir}/gir-1.0/*.gir
%{_includedir}/folks
%{_pkgconfigdir}/folks.pc
%{_pkgconfigdir}/folks-eds.pc
%{_pkgconfigdir}/folks-libsocialweb.pc
%{_pkgconfigdir}/folks-telepathy.pc

%if %{with vala}
%files -n vala-folks
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/folks.deps
%{_datadir}/vala/vapi/folks.vapi
%{_datadir}/vala/vapi/folks-eds.deps
%{_datadir}/vala/vapi/folks-eds.vapi
%{_datadir}/vala/vapi/folks-libsocialweb.deps
%{_datadir}/vala/vapi/folks-libsocialweb.vapi
%{_datadir}/vala/vapi/folks-telepathy.deps
%{_datadir}/vala/vapi/folks-telepathy.vapi
%endif
%changelog
* Mon Aug 13 2012 Łukasz Kieś <kiesiu@pld-linux.org> 826cdda
- updated Vala BR; rel. 3

* Mon Aug 13 2012 Łukasz Kieś <kiesiu@pld-linux.org> f5d05c9
- moved Vala API files to seperate package; rel. 2

* Tue Apr 17 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 61b0634
- updated to 0.6.9

* Tue Mar 27 2012 Łukasz Kieś <kiesiu@pld-linux.org> 26b2788
- updated BRs

* Tue Mar 27 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 6d224ed
- updated to 0.6.8

* Mon Jan 30 2012 lisu <lisu@pld-linux.org> 284540f
- update telepathy-glib-devel BR

* Tue Jan 17 2012 Łukasz Kieś <kiesiu@pld-linux.org> 8b3156f
- updated to 0.6.6
- updated BRs

* Sun Nov 13 2011 Łukasz Kieś <kiesiu@pld-linux.org> a9a389d
- fixed %%files

* Sun Nov 13 2011 Łukasz Kieś <kiesiu@pld-linux.org> 6ab1350
- updated to 0.6.5

* Tue Oct 18 2011 Łukasz Kieś <kiesiu@pld-linux.org> e1dd246
- updated to 0.6.4.1

* Tue Oct 18 2011 Robert Tomasik <rotom@pld-linux.org> 21a0adc
- up to 0.6.4

* Thu Sep 29 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 20895c6
- updated to 0.6.3.2; merged changes from DEVEL

* Wed Sep 21 2011 lisu <lisu@pld-linux.org> 2194d13
- epoch 2 in vala BR

* Wed Sep 21 2011 lisu <lisu@pld-linux.org> 13ba6ec
- reversed

* Wed Sep 21 2011 lisu <lisu@pld-linux.org> 7c3be47
- vala -> vala-devel

* Fri Jun 17 2011 Patryk Zawadzki <patrys@room-303.com> 24c5889
- 0.5.2

* Thu Jun 02 2011 Łukasz Kieś <kiesiu@pld-linux.org> cb1d7e1
- soname changed
- added missing BRs

* Thu Jun 02 2011 Łukasz Kieś <kiesiu@pld-linux.org> 5bd9412
- updated to 0.5.2

* Tue Apr 12 2011 Artur Frysiak <artur@frysiak.net> d5d9c06
- up to 0.5.0
- more verbose %files

* Wed Apr 06 2011 Marcin Banasiak <marcin.banasiak@gmail.com> a24c6e8
- obsolete

